Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface PortletExecutionTracker

All Known Implementing Classes:
  ServletProviderRequest, ServletPortletRenderRequest

public interface PortletExecutionTracker

This interface contains a single method used to detect whether a request has execeeded a set maximum time.

Method Summary
`long` | `getPortletKillTimeout()` Returns the maximum time that a portlet may take to execute, after which it should be forcefully terminated.
`long` | `getPortletStartTime()` Returns the time at which the request started.
`long` | `getPortletTimeout()` Returns the maximum time that the portlet should take to be rendered.
`boolean` | `hasPortletKillTimeoutElapsed()` Indicates whether this request has exceeded its 'kill time', i.e, the time after which the thread should be forcefully stopped.
`boolean` | `hasPortletTimeoutElapsed()` Indicates whether this request has exceeded an execution timeout.

Method Detail

### getPortletStartTime

    public long getPortletStartTime()

  Returns the time at which the request started. Time is defined in number of milliseconds since January 1, 1970 UTC. return start time of the request

### getPortletTimeout

    public long getPortletTimeout()

  Returns the maximum time that the portlet should take to be rendered.
  Returns:
    the portlet timeout in milliseconds

### hasPortletTimeoutElapsed

    public boolean hasPortletTimeoutElapsed()

  Indicates whether this request has exceeded an execution timeout. The execution timeout is picked up from an initialisation argument or from a system default (in that order of preference.
  Returns:
    true if the portlet has timed out, false otherwise

### getPortletKillTimeout

    public long getPortletKillTimeout()

  Returns the maximum time that a portlet may take to execute, after which it should be forcefully terminated.
  Returns:
    the portlet maximum execution time in milliseconds

### hasPortletKillTimeoutElapsed

    public boolean hasPortletKillTimeoutElapsed()

  Indicates whether this request has exceeded its 'kill time', i.e, the time after which the thread should be forcefully stopped.
  Returns:
    true if the kill time has been exceeded, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD